'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styles = require('@material-ui/core/styles');

var _GridList = require('@material-ui/core/GridList');

var _GridList2 = _interopRequireDefault(_GridList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var fileGridStyles = function fileGridStyles(theme) {
    return {
        container: {
            display: 'flex',
            flexWrap: 'wrap',
            overflow: 'hidden',
            width: '100%',
            background: theme.palette.background.paper
        },
        gridList: {
            flex: 1
        }
    };
};

function FileGrid(props) {
    var classes = props.classes,
        files = props.files,
        render = props.render;


    return _react2.default.createElement(
        'div',
        { className: classes.container },
        _react2.default.createElement(
            _GridList2.default,
            {
                className: classes.gridList,
                spacing: 5
            },
            files.map(render)
        )
    );
}

FileGrid.defaultProps = {
    files: []
};

FileGrid.propTypes = process.env.NODE_ENV !== "production" ? {
    files: _propTypes2.default.array,
    render: _propTypes2.default.func
} : {};

exports.default = (0, _styles.withStyles)(fileGridStyles)(FileGrid);
module.exports = exports['default'];