'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _TextField = require('@material-ui/core/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function TextFieldWidget(props) {
    var value = props.value,
        readonly = props.readonly,
        disabled = props.disabled,
        autofocus = props.autofocus,
        onBlur = props.onBlur,
        onFocus = props.onFocus,
        options = props.options,
        schema = props.schema,
        metadata = props.schema.metadata,
        formContext = props.formContext,
        registry = props.registry,
        inputProps = _objectWithoutProperties(props, ['value', 'readonly', 'disabled', 'autofocus', 'onBlur', 'onFocus', 'options', 'schema', 'schema', 'formContext', 'registry']);

    var onChange = function onChange(_ref) {
        var value = _ref.target.value;

        return props.onChange(value ? value : options.emptyValue);
    };

    return _react2.default.createElement(_TextField2.default, _extends({}, inputProps, {
        margin: 'none',
        readOnly: metadata.readonly,
        disabled: metadata.readonly,
        autoFocus: autofocus,
        required: metadata.required,
        value: value || '',
        type: schema.type,
        onChange: onChange,
        onBlur: onBlur && function (event) {
            return onBlur(inputProps.id, event.target.value);
        },
        onFocus: onFocus && function (event) {
            return onFocus(inputProps.id, event.target.value);
        },
        fullWidth: true
    }));
}

TextFieldWidget.defaultProps = {
    type: 'text',
    required: false,
    disabled: false,
    readonly: false,
    autofocus: false
};

TextFieldWidget.propTypes = process.env.NODE_ENV !== "production" ? {
    id: _propTypes2.default.string.isRequired,
    placeholder: _propTypes2.default.string,
    value: _propTypes2.default.any,
    required: _propTypes2.default.bool,
    disabled: _propTypes2.default.bool,
    readonly: _propTypes2.default.bool,
    autofocus: _propTypes2.default.bool,
    onChange: _propTypes2.default.func,
    onBlur: _propTypes2.default.func,
    onFocus: _propTypes2.default.func
} : {};

exports.default = TextFieldWidget;
module.exports = exports['default'];